Bug 177300 - hugetlb_get_unmapped_area may overflow in X86_64 compat mode
Summary: hugetlb_get_unmapped_area may overflow in X86_64 compat mode
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 190430 212183
TreeView+ depends on / blocked
 
Reported: 2006-01-09 10:34 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 17:53:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
htest.c (509 bytes, text/plain)
2006-01-09 10:34 UTC, Bastien Nocera
no flags Details
compat_huge_tasksize.patch (2.13 KB, patch)
2006-01-09 10:36 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0436 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 9 2007-06-08 00:03:57 UTC

Description Bastien Nocera 2006-01-09 10:34:29 UTC
kernel 2.4.21-37.8.EL

The attached testcase segfaults when we should get a wrap-around at 4GB.

Comment 1 Bastien Nocera 2006-01-09 10:34:29 UTC
Created attachment 122942 [details]
htest.c

Comment 2 Bastien Nocera 2006-01-09 10:36:02 UTC
Created attachment 122943 [details]
compat_huge_tasksize.patch

Comment 10 Jay Turner 2007-02-20 12:47:40 UTC
QE ack for 3.9.

Comment 11 Ernie Petrides 2007-03-20 03:42:09 UTC
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.7.EL).


Comment 15 Red Hat Bugzilla 2007-06-11 17:53:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html



Note You need to log in before you can comment on or make changes to this bug.